package com.steerinfo.dil.feign;


import feign.HeaderMap;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @author HUJIANGUO
 * @create 2021-11-10 11:30
 */
@FeignClient(value = "logistic",url = "https://wl.dasteel.cn:32322")
public interface SSOFeign {

    @PostMapping("/icore.icp.web/pass/v1/sysusers/")
    Map<String,Object> addUser(@RequestHeader("Authorization") String token,
//            @HeaderMap Map<String,Object> headerMap,
                               @RequestParam String userCode,
                               @RequestParam String userName,
                               @RequestParam String orgCode,
                               @RequestParam String orgName,
                               @RequestParam String groupId,
                               @RequestParam String companyId,
                               @RequestParam String orgId);

    @PostMapping("/icore.icp.web/pass/v1/sysuserroles/")
    Map<String,Object> addUserroles(@RequestHeader("Authorization") String token,
                                    @RequestParam String userId,
                                    @RequestParam String userCode,
                                    @RequestParam String roleId);

}
